<?xml version="1.0" encoding="UTF-8"?>
<mm:monitor xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:cbe="http://www.ibm.com/AC/commonbaseevent1_0_1" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:mm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.1.0/mm" xmlns:wbm="http://www.ibm.com/xmlns/prod/websphere/monitoring/6.2.0/functions" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema-datatypes" displayName="DiagnosticModel" id="DiagnosticModel" timestamp="2009-07-02T12:00:00Z" xmlns:dmudf="http://DiagnosticModelUDFs" xmlns:dme="http:///DiagnosticModel/DiagnosticModelEvent">
  <xpathFunctions>
  	<import namespace="http://DiagnosticModelUDFs"/>
  </xpathFunctions>
  <monitorDetailsModel displayName="DiagnosticModel" id="MDM">
    <monitoringContext displayName="DiagnosticModel MC" id="DiagnosticModel_MC">
      <inboundEvent displayName="SimpleInboundEvent" id="SimpleInboundEvent" multipleCorrelationMatches="deliverToAll" noCorrelationMatches="createNewContext" oneCorrelationMatch="deliverEvent" rootElement="cbe:CommonBaseEvent">
      	<eventPart displayName="dmeEvent" id="dmeEvent" path="cbe:CommonBaseEvent/dme:event" type="dme:event"></eventPart>
      	<eventPart displayName="GlobalInstanceID" id="GlobalInstanceID" path="cbe:CommonBaseEvent/@globalInstanceId" type="xs:string"></eventPart>
      	<correlationPredicate expression="HierarchyInstanceID = SimpleInboundEvent/dmeEvent/@dme:hierarchyInstanceID"/>
      	<filter expression='SimpleInboundEvent/predefinedData/extensionName = "DiagnosticModelEvent" and fn:exists(SimpleInboundEvent/dmeEvent/@dme:hierarchyInstanceID) and dmudf:reportString(fn:concat("Received event ", SimpleInboundEvent/GlobalInstanceID, " for ", SimpleInboundEvent/dmeEvent/@dme:hierarchyInstanceID))'></filter>
      </inboundEvent>
      <metric displayName="Hierarchy Instance ID" id="HierarchyInstanceID" type="xsd:string" isPartOfKey="true">
      	<map>
      		<outputValue>
      			<singleValue expression="SimpleInboundEvent/dmeEvent/@dme:hierarchyInstanceID"/>
      		</outputValue>
      	</map>
      </metric>
      <counter displayName="Number Of Events Received" id="NumberOfEventsReceived" type="xsd:integer">
      	<incrementedWhen ref="SimpleInboundEvent"/>
      </counter>
    </monitoringContext>
  </monitorDetailsModel>
  <dimensionalModel displayName="DiagnosticModel DMM" id="DMM">
    <cube displayName="DiagnosticModel MC Cube" id="DiagnosticModel_MC_Cube" monitoringContext="DiagnosticModel_MC"/>
  </dimensionalModel>
  <eventModel id="EM">
    <import namespace="http://www.ibm.com/AC/commonbaseevent1_0_1"/>
    <import location="DiagnosticModelEvent.xsd" namespace="http:///DiagnosticModel/DiagnosticModelEvent"/>
    <import namespace="http://www.w3.org/2001/XMLSchema"/>
  </eventModel>
</mm:monitor>